CREATE TABLE iby_ext_bank_accounts (
    EXT_BANK_ACCOUNT_ID             NUMBER(18, 0) ,
    COUNTRY_CODE                    VARCHAR2(8)       NOT NULL,
    BRANCH_ID                       NUMBER(18, 0) ,
    BANK_ID                         NUMBER(18, 0) ,
    BANK_ACCOUNT_NUM                VARCHAR2(400) ,
    BANK_ACCOUNT_NUM_HASH1          VARCHAR2(256) ,
    BANK_ACCOUNT_NUM_HASH2          VARCHAR2(256) ,
    MASKED_BANK_ACCOUNT_NUM         VARCHAR2(400) ,
    BA_MASK_SETTING                 VARCHAR2(120) ,
    BA_UNMASK_LENGTH                NUMBER(2, 0)  ,
    CURRENCY_CODE                   VARCHAR2(60)  ,
    IBAN                            VARCHAR2(200) ,
    IBAN_HASH1                      VARCHAR2(256) ,
    IBAN_HASH2                      VARCHAR2(256) ,
    MASKED_IBAN                     VARCHAR2(200) ,
    CHECK_DIGITS                    VARCHAR2(120) ,
    BANK_ACCOUNT_TYPE               VARCHAR2(100) ,
    ACCOUNT_CLASSIFICATION          VARCHAR2(120) ,
    ACCOUNT_SUFFIX                  VARCHAR2(120) ,
    AGENCY_LOCATION_CODE            VARCHAR2(120) ,
    PAYMENT_FACTOR_FLAG             VARCHAR2(4)   ,
    FOREIGN_PAYMENT_USE_FLAG        VARCHAR2(4)   ,
    EXCHANGE_RATE_AGREEMENT_NUM     VARCHAR2(320) ,
    EXCHANGE_RATE_AGREEMENT_TYPE    VARCHAR2(320) ,
    EXCHANGE_RATE                   NUMBER        ,
    HEDGING_CONTRACT_REFERENCE      VARCHAR2(80)  ,
    SECONDARY_ACCOUNT_REFERENCE     VARCHAR2(120) ,
    BA_NUM_SEC_SEGMENT_ID           NUMBER(18, 0) ,
    ENCRYPTED                       VARCHAR2(4)       NOT NULL,
    IBAN_SEC_SEGMENT_ID             NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    PROGRAM_APPLICATION_ID          NUMBER(18, 0) ,
    PROGRAM_ID                      NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE             DATE          ,
    START_DATE                      DATE          ,
    END_DATE                        DATE          ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    BANK_ACCOUNT_NAME               VARCHAR2(320) ,
    BANK_ACCOUNT_NAME_ALT           VARCHAR2(1280),
    SHORT_ACCT_NAME                 VARCHAR2(120) ,
    DESCRIPTION                     VARCHAR2(960) ,
    BANK_ACCOUNT_NUM_ELECTRONIC     VARCHAR2(400) ,
    BA_NUM_ELEC_SEC_SEGMENT_ID      NUMBER(18, 0) ,
    SALT_VERSION                    NUMBER(2, 0)  ,
    ORIG_SYSTEM                     VARCHAR2(320) ,
    ORIG_SYSTEM_REFERENCE           VARCHAR2(960) ,
    ENTERPRISE_ID                   NUMBER(18, 0) ,
    BANK_BRANCH_PARTY_FLAG          VARCHAR2(4)   ,
    BANK_NAME                       VARCHAR2(1440),
    BANK_NUMBER                     VARCHAR2(120) ,
    BANK_BRANCH_NAME                VARCHAR2(1440),
    BRANCH_NUMBER                   VARCHAR2(120) ,
    EFT_SWIFT_CODE                  VARCHAR2(120) ,
    VAT_BANK_ACCOUNT_ID             NUMBER(18, 0) ,
    BANK_ACCT_VERIF_STATUS_CODE     VARCHAR2(120) ,
    LAST_CHANGE_HIST_ID             NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    ORIGIN_APPLICATION_ID           NUMBER        ,
    EXT_BANK_ACCOUNT_ID             NUMBER(18, 0) ,
    COUNTRY_CODE                    VARCHAR2(8)       NOT NULL,
    BRANCH_ID                       NUMBER(18, 0) ,
    BANK_ID                         NUMBER(18, 0) ,
    BANK_ACCOUNT_NUM                VARCHAR2(400) ,
    BANK_ACCOUNT_NUM_HASH1          VARCHAR2(256) ,
    BANK_ACCOUNT_NUM_HASH2          VARCHAR2(256) ,
    MASKED_BANK_ACCOUNT_NUM         VARCHAR2(400) ,
    BA_MASK_SETTING                 VARCHAR2(120) ,
    BA_UNMASK_LENGTH                NUMBER(2, 0)  ,
    CURRENCY_CODE                   VARCHAR2(60)  ,
    IBAN                            VARCHAR2(200) ,
    IBAN_HASH1                      VARCHAR2(256) ,
    IBAN_HASH2                      VARCHAR2(256) ,
    MASKED_IBAN                     VARCHAR2(200) ,
    CHECK_DIGITS                    VARCHAR2(120) ,
    BANK_ACCOUNT_TYPE               VARCHAR2(100) ,
    ACCOUNT_CLASSIFICATION          VARCHAR2(120) ,
    ACCOUNT_SUFFIX                  VARCHAR2(120) ,
    AGENCY_LOCATION_CODE            VARCHAR2(120) ,
    PAYMENT_FACTOR_FLAG             VARCHAR2(4)   ,
    FOREIGN_PAYMENT_USE_FLAG        VARCHAR2(4)   ,
    EXCHANGE_RATE_AGREEMENT_NUM     VARCHAR2(320) ,
    EXCHANGE_RATE_AGREEMENT_TYPE    VARCHAR2(320) ,
    EXCHANGE_RATE                   NUMBER        ,
    HEDGING_CONTRACT_REFERENCE      VARCHAR2(80)  ,
    SECONDARY_ACCOUNT_REFERENCE     VARCHAR2(120) ,
    BA_NUM_SEC_SEGMENT_ID           NUMBER(18, 0) ,
    ENCRYPTED                       VARCHAR2(4)       NOT NULL,
    IBAN_SEC_SEGMENT_ID             NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    PROGRAM_APPLICATION_ID          NUMBER(18, 0) ,
    PROGRAM_ID                      NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE             DATE          ,
    START_DATE                      DATE          ,
    END_DATE                        DATE          ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    BANK_ACCOUNT_NAME               VARCHAR2(320) ,
    BANK_ACCOUNT_NAME_ALT           VARCHAR2(1280),
    SHORT_ACCT_NAME                 VARCHAR2(120) ,
    DESCRIPTION                     VARCHAR2(960) ,
    BANK_ACCOUNT_NUM_ELECTRONIC     VARCHAR2(400) ,
    BA_NUM_ELEC_SEC_SEGMENT_ID      NUMBER(18, 0) ,
    SALT_VERSION                    NUMBER(2, 0)  ,
    ORIG_SYSTEM                     VARCHAR2(320) ,
    ORIG_SYSTEM_REFERENCE           VARCHAR2(960) ,
    ENTERPRISE_ID                   NUMBER(18, 0) ,
    BANK_BRANCH_PARTY_FLAG          VARCHAR2(4)   ,
    BANK_NAME                       VARCHAR2(1440),
    BANK_NUMBER                     VARCHAR2(120) ,
    BANK_BRANCH_NAME                VARCHAR2(1440),
    BRANCH_NUMBER                   VARCHAR2(120) ,
    EFT_SWIFT_CODE                  VARCHAR2(120) ,
    VAT_BANK_ACCOUNT_ID             NUMBER(18, 0) ,
    BANK_ACCT_VERIF_STATUS_CODE     VARCHAR2(120) ,
    LAST_CHANGE_HIST_ID             NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    ORIGIN_APPLICATION_ID           NUMBER        ,
    CONSTRAINT pk_iby_ext_bank_accounts PRIMARY KEY (EXT_BANK_ACCOUNT_ID, EXT_BANK_ACCOUNT_ID)
);
